JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const devboxSnapshotAsyncStatusView = await client.devboxes.diskSnapshots.queryStatus('id');
console.log(devboxSnapshotAsyncStatusView.status);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
devbox_snapshot_async_status_view = client.devboxes.disk_snapshots.query_status(
"id",
)
print(devbox_snapshot_async_status_view.status)curl --request GET \
--url https://api.runloop.ai/v1/devboxes/disk_snapshots/{id}/status \
--header 'Authorization: Bearer <token>'
{
"snapshot": {
"id": "<string>",
"create_time_ms": 123,
"metadata": {},
"source_devbox_id": "<string>",
"name": "<string>",
"source_blueprint_id": "<string>",
"commit_message": "<string>",
"size_bytes": 123
},
"error_message": "<string>"
}Devbox
Query the status of an asynchronous disk snapshot.
Get the current status of an asynchronous disk snapshot operation, including whether it is still in progress and any error messages if it failed.
GET
/
v1
/
devboxes
/
disk_snapshots
/
{id}
/
status
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const devboxSnapshotAsyncStatusView = await client.devboxes.diskSnapshots.queryStatus('id');
console.log(devboxSnapshotAsyncStatusView.status);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
devbox_snapshot_async_status_view = client.devboxes.disk_snapshots.query_status(
"id",
)
print(devbox_snapshot_async_status_view.status)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Snapshot ID.
Response
Snapshot status retrieved successfully.
Was this page helpful?
⌘I
